Bug 239446 - AVC: XenD needs access to read xend_tmp_t
AVC: XenD needs access to read xend_tmp_t
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 10:46 EDT by Daniel Berrange
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 14:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-05-08 10:46:22 EDT
Description of problem:
With latest upstream Xen (3.1.0) which is about to hit rawhide, upon starting
Xend I get the following AVC

type=AVC msg=audit(1178636132.609:14): avc:  denied  { read } for  pid=3112
comm="python" name="config.sxp" dev=dm-0 ino=4391845 scontext=system_u:system_
r:xend_t:s0 tcontext=system_u:object_r:xend_tmp_t:s0 tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-2.6.1-1.fc7
xen-3.1.0-0.rc7.1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Start XenD with SELinux in permissive mode
2.
3.
  
Actual results:
See AVC

Expected results:
No AVC

Additional info:

# audit2allow < /var/log/audit/audit.log 

#============= xend_t ==============
allow xend_t xend_tmp_t:file read;


This seems like a reasonable policy addition to me based on an initial
examination of what Xend is doing. Not sure where xend_tmp_t  gets defined
though - it is not listed by 'semanage fcontext -l' at all.
Comment 1 Daniel Walsh 2007-05-17 12:25:45 EDT
Fixed in selinux-policy-2.6.4-4.fc7
Comment 2 Daniel Berrange 2007-08-01 14:52:36 EDT
Fixed a while ago..

Note You need to log in before you can comment on or make changes to this bug.